//----------------------------------------------------------------------------
//
//  This file is part of seq24.
//
//  seq24 is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  seq24 is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with seq24; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//-----------------------------------------------------------------------------

#ifndef SEQ24_OPTIONS
#define SEQ24_OPTIONS

#include <gtk--/button.h>
#include <gtk--/window.h>
#include <gtk--/accelgroup.h>
#include <gtk--/box.h>
#include <gtk--/main.h>
#include <gtk--/menu.h>
#include <gtk--/menubar.h>
#include <gtk--/eventbox.h>
#include <gtk--/window.h>
#include <gtk--/dialog.h>
#include <gtk--/table.h>
#include <gtk--/drawingarea.h>
#include <gtk--/label.h>
#include <gtk--/frame.h> 
#include <gtk--/fileselection.h>
#include <gtk--/dialog.h>
#include <gtk--/text.h>
#include <gtk--/arrow.h>
#include <gtk--/spinbutton.h>
#include <gtk--/progressbar.h>
#include <gtk--/checkbutton.h>


#include "globals.h"
#include "perform.h"

using namespace Gtk;
using SigC::slot;
using SigC::bind;

class options : public Gtk::Dialog
{

 private:

    perform *m_perf;

    Button  *m_button_ok;

    Frame   *m_frame_clock;

    void clock_callback( int a_bus, CheckButton *a_button );

 public:

    options( perform *a_p );

};

#endif
